Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 619462 - Review Request: tyrion - A framework for systems automation
Review Request: tyrion - A framework for systems automation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Hicham HAOUARI
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-29 11:23 EDT by Silas Sewell
Modified: 2010-09-05 13:50 EDT (History)
4 users (show)

See Also:
Fixed In Version: tyrion-0.0.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-13 17:12:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hicham.haouari: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Silas Sewell 2010-07-29 11:23:21 EDT
Spec:
http://github.com/tidg/rpms/raw/master/tyrion/tyrion.spec

SRPM:
http://github.com/downloads/tidg/rpms/tyrion-0.0.1-1.fc14.src.rpm

Description:
Tyrion is a framework for systems automation.

rpmlint

tyrion-node.x86_64: E: non-readable /etc/tyrion/node.conf 0600L
tyrion-node.x86_64: E: non-readable /etc/tyrion/acl.conf 0600L
 - Both of these files have sensitive data (passwords, acls, etc..) I think justify these permissions
7 packages and 0 specfiles checked; 2 errors, 0 warnings.
Comment 1 Hicham HAOUARI 2010-08-01 20:14:56 EDT
do you plan to add a .service file to support systemd in F-14 ?
Comment 2 Silas Sewell 2010-08-01 20:54:21 EDT
Possibly, although as of now I'm not very familair with it. According to the feature page it isn't finished  yet and f14 was frozen. Either way I'll have to do it in the branch as this is being pushed to both f13 and el6.

Feature page: http://fedoraproject.org/wiki/Features/systemd
Comment 3 Hicham HAOUARI 2010-08-02 08:51:52 EDT
"pushd doc; gzip *; popd" is unneeded since install handles that.

IMHO, you should extend the description a bit.

formal review :

---------------------------------------------------------------------------------
OK : Pass, NO : Fail, NA : Not Available

MUST Items :

[OK] MUST: rpmlint must be run on every package. The output should be posted in the review.
[OK] MUST: The package must be named according to the Package Naming Guidelines .
[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[OK] MUST: The package must meet the Packaging Guidelines .
[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[OK] MUST: The License field in the package spec file must match the actual license.
[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
 c606f5116ed9497a4db3d8822264b0ed  tyrion-0.0.1.tar.bz2
[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[OK] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[NA] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[OK] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[OK] MUST: Packages must NOT bundle copies of system libraries.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[OK] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[OK] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[OK] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[NA] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[OK] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[NA] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[OK] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[OK] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[OK] MUST: All filenames in rpm packages must be valid UTF-8.



SHOULD Items:

[OK] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[OK] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[OK] SHOULD: The reviewer should test that the package builds in mock.
[OK] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[OK] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[OK] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[OK] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[NA] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[NA] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[OK] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
PACKAGE APPROVED
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
Comment 4 Silas Sewell 2010-08-02 09:11:54 EDT
Thanks Hicham, I'll work on a better long description.

Original:

New Package CVD Request
=======================
Package Name: tyrion
Short Description: A framework for systems automation
Owners: silas
Branches: F-13 F-14 EL-6
InitialCC:

And my best guess for Git (couldn't find anything on the wiki):

New Package GIT Request
=======================
Package Name: tyrion
Short Description: A framework for systems automation
Owners: silas
Branches: f13 f14 el6
InitialCC:
Comment 5 Kevin Fenzi 2010-08-02 12:37:44 EDT
The script that processes requests still takes the former CVS format. 
Can you do one with that old format for now?
Comment 6 Silas Sewell 2010-08-02 12:53:17 EDT
New Package CVS Request
=======================
Package Name: tyrion
Short Description: A framework for systems automation
Owners: silas
Branches: F-13 F-14 EL-6
InitialCC:
Comment 7 Kevin Fenzi 2010-08-03 13:53:45 EDT
GIT done (by process-git-requests).
Comment 8 Fedora Update System 2010-08-03 16:14:36 EDT
tyrion-0.0.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/tyrion-0.0.1-1.fc13
Comment 9 Fedora Update System 2010-08-03 16:14:42 EDT
tyrion-0.0.1-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/tyrion-0.0.1-1.fc14
Comment 10 Fedora Update System 2010-08-05 10:28:56 EDT
tyrion-0.0.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tyrion'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tyrion-0.0.1-1.fc14
Comment 11 Fedora Update System 2010-08-05 19:40:00 EDT
tyrion-0.0.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tyrion'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tyrion-0.0.1-1.fc13
Comment 12 Chen Lei 2010-08-09 03:51:54 EDT
Actually, you should not try to compress man pages manually as Hicham suggested, rpmbuild will do it automanually. It's entirely possible that fedora will switch to xz format man pages instead of gzip files.
Comment 13 Chen Lei 2010-08-09 04:04:32 EDT
Another trival issue is you should not use deprecated macro %{_initrddir} in spec. Also you can replace %{_datarootdir} with%{_datadir} which is much more widely used.

See http://fedoraproject.org/wiki/Packaging/RPMMacros

Also, adding README.md to mutiple subpackages to avoid rpmlint warnings is completely useless, many warnings can be safely ignored.

GROUPS: System Environment/Daemons will be more suitable for -node subpackage.
Comment 14 Silas Sewell 2010-08-12 21:00:33 EDT
Issues should be fixed:

http://github.com/silas/rpms/commit/925a04b0da3d1f0fcce9952384115a64eb4a5da4
Comment 15 Fedora Update System 2010-08-13 17:12:45 EDT
tyrion-0.0.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-08-18 21:06:40 EDT
tyrion-0.0.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Silas Sewell 2010-09-04 13:20:36 EDT
Package Change Request
======================
Package Name: tyrion
New Short Description: A daemon that allows for the asynchronous running of remote processes
Comment 18 Kevin Fenzi 2010-09-05 13:50:30 EDT
Description changed.

Note You need to log in before you can comment on or make changes to this bug.